﻿


DECLARE
	@@SQL_TEXT VARCHAR(MAX),
	@@BUYER_ORDER_TYPE VARCHAR (20) = @0,
    @@BUYER_TRANSPORTATION_CD VARCHAR (20)= @1,
    @@ORDER_TYPE_DESCRIPTION VARCHAR (100)=@2,
    @@SUPPLY_TYPE VARCHAR (10)=@3
    


	SET @@SQL_TEXT =
		'SELECT TOCONV.BUYER_ORDER_TYPE,
				TOCONV.BUYER_TRANSPORTATION_CD,
				TOCONV.ORDER_TYPE_DESCRIPTION,
				TOCONV.SUPPLY_TYPE
				
			 FROM [spex].[TB_M_TOPAS_ORDER_TYPE_CONV] TOCONV 
			 WHERE  1 = 1 '
		
	IF ( @@BUYER_ORDER_TYPE <> '' ) 
	BEGIN 
	 
	  SET @@SQL_TEXT = @@SQL_TEXT + ' AND TOCONV.BUYER_ORDER_TYPE = ''' + @@BUYER_ORDER_TYPE + ''''
	END

	IF ( @@BUYER_TRANSPORTATION_CD <> '' ) 
	BEGIN 
	  SET @@SQL_TEXT = @@SQL_TEXT + ' AND TOCONV.BUYER_TRANSPORTATION_CD = ''' + @@BUYER_TRANSPORTATION_CD + ''''
	END
	IF ( @@ORDER_TYPE_DESCRIPTION <> '' ) 
	BEGIN 
	  SET @@SQL_TEXT = @@SQL_TEXT + ' AND TOCONV.ORDER_TYPE_DESCRIPTION LIKE ''%' + @@ORDER_TYPE_DESCRIPTION + '%'''
	END
	
	IF ( @@SUPPLY_TYPE <> '' ) 
	BEGIN 
	  SET @@SQL_TEXT = @@SQL_TEXT + ' AND TOCONV.SUPPLY_TYPE = ''' + @@SUPPLY_TYPE + ''''
	END
	

	EXECUTE(@@SQL_TEXT) 

